Bug 23096 - Add floating toolbar to OPAC lists
Summary: Add floating toolbar to OPAC lists
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 5287
Blocks:
  Show dependency treegraph
 
Reported: 2019-06-11 16:02 UTC by Owen Leonard
Modified: 2019-07-25 11:29 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
Bug 23096: Add floating toolbar to OPAC lists (3.26 KB, patch)
2019-06-11 17:44 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23096: Add floating toolbar to OPAC lists (2.33 KB, patch)
2019-06-18 15:14 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23096: Add floating toolbar to OPAC lists (2.39 KB, patch)
2019-06-19 00:24 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 23096: Add floating toolbar to OPAC lists (2.46 KB, patch)
2019-06-24 17:15 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-06-11 16:02:14 UTC
To match the updated OPAC search results page, the toolbar on the OPAC list contents table should be a floating toolbar.
Comment 1 Owen Leonard 2019-06-11 17:44:56 UTC
Created attachment 90512 [details] [review]
Bug 23096: Add floating toolbar to OPAC lists

This patch makes the list contents table's toolbar "stick" to the top of
the screen when scrolling. Minor markup changes have been made to enable
this change.

To test, apply the patch and open a list in the OPAC which has multiple
titles on it. Confirm that the toolbar sticks to the top of the screen
when you scroll down.
Comment 2 Marie-Luce Laflamme 2019-06-14 20:18:31 UTC
Patch doesn't apply. Unfortunately, the content toolbar doesn't stick to the top.

No specific error message while applying the patch.
Comment 3 Owen Leonard 2019-06-18 12:49:55 UTC
This applies fine for me, so please re-test if you can. Note that it depends on Bug 5287 which requires that you rebuild the OPAC CSS.
Comment 4 M. Tompsett 2019-06-18 14:58:58 UTC
Comment on attachment 90512 [details] [review]
Bug 23096: Add floating toolbar to OPAC lists

Review of attachment 90512 [details] [review]:
-----------------------------------------------------------------

::: koha-tmpl/opac-tmpl/bootstrap/en/includes/opac-detail-sidebar.inc
@@ +90,4 @@
>  </ul>
>  
>  <!-- Dublin Core Modal Form -->
> +<div class="foo modal hide" id="exportModal_" tabindex="-1" role="dialog" aria-labelledby="exportModalLabel" aria-hidden="true">

foo seems out of place.
Comment 5 M. Tompsett 2019-06-18 14:59:22 UTC
Failing as per Owen's suggestion, since foo is out of place.
Comment 6 Owen Leonard 2019-06-18 15:14:40 UTC Comment hidden (obsolete)
Comment 7 M. Tompsett 2019-06-19 00:24:16 UTC
Created attachment 90763 [details] [review]
Bug 23096: Add floating toolbar to OPAC lists

This patch makes the list contents table's toolbar "stick" to the top of
the screen when scrolling. Minor markup changes have been made to enable
this change.

To test, apply the patch and open a list in the OPAC which has multiple
titles on it. Confirm that the toolbar sticks to the top of the screen
when you scroll down.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 8 M. Tompsett 2019-06-19 00:24:58 UTC
While it does scroll, there is a gap, that is distracting when things scroll through it.
Comment 9 Owen Leonard 2019-06-19 12:02:42 UTC
Rebuilding the OPAC CSS is part of the test plan for Bug 5287. That makes the patches work correctly.
Comment 10 Jonathan Druart 2019-06-24 17:15:46 UTC
Created attachment 90964 [details] [review]
Bug 23096: Add floating toolbar to OPAC lists

This patch makes the list contents table's toolbar "stick" to the top of
the screen when scrolling. Minor markup changes have been made to enable
this change.

To test, apply the patch and open a list in the OPAC which has multiple
titles on it. Confirm that the toolbar sticks to the top of the screen
when you scroll down.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 11 Martin Renvoize 2019-06-25 16:20:21 UTC
Nice work!

Pushed to master for 19.11.00
Comment 12 Fridolin SOMERS 2019-07-25 11:29:05 UTC
Depends on Bug 5287 not pushed to 19.05.x